Package org.eclipse.emf.cdo.lm

# Class BasePoint

java.lang.Object
org.eclipse.emf.cdo.lm.BasePoint

public final class BasePoint extends Object
Represents a `time stamp` in a `floating baseline`.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`BasePoint(FloatingBaseline base, long timeStamp)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`FloatingBaseline`
`getBase()`
`long`
`getTimeStamp()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BasePoint

public BasePoint(FloatingBaseline base, long timeStamp)

## Method Details

### getBase

public FloatingBaseline getBase()

### getTimeStamp

public long getTimeStamp()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`